



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbdime show -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbshow -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbdiff -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbdiff-web -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbmerge -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
nbmerge-web -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
git-nbdifftool -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
git-nbmergetool -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
git-nbdiffdriver -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
git-nbmergedriver -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
hg-nbdiff -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
hg-nbdiffweb -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
hg-nbmerge -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
hg-nbmergeweb -h
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list 1>labextensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list 1>server_extensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbdime-jupyterlab.*OK*" labextensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -iE "nbdime.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
